/*******************************************************************************
 * FoxAISquadFormation generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAISquadFormation extends Object
    abstract
    native(AI)
    editinlinenew;

struct native SquadFormationNode
{
    var Vector Location;
    var Rotator Rotation;

    structdefaultproperties
    {
        Location=(X=0.0,Y=0.0,Z=0.0)
        Rotation=(Pitch=0,Yaw=0,Roll=0)
    }
};

var() float MinAdditionalSpacing;

// Export UFoxAISquadFormation::execGetSquadPositions(FFrame&, void* const)
native final function array<SquadFormationNode> GetSquadPositions(const FoxSquadInfo InSquad);

// Export UFoxAISquadFormation::execCalculateSquadPositions(FFrame&, void* const)
private native final function array<SquadFormationNode> CalculateSquadPositions(const FoxSquadInfo InSquad, const Rotator FormationOrientation);

// Export UFoxAISquadFormation::execRemoveOverlappingNodes(FFrame&, void* const)
protected native final function array<SquadFormationNode> RemoveOverlappingNodes(const array<SquadFormationNode> InNodes, const float MinSpacing);

// Export UFoxAISquadFormation::execCalculateValidPosition(FFrame&, void* const)
private native final function Vector CalculateValidPosition(const FoxSquadInfo Squad, const Vector TestPosition);

defaultproperties
{
    MinAdditionalSpacing=10.0
}